/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

ViStatus rscmwdau_InitAttributes(ViSession vi);

ViStatus rscmwdau_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rscmwdau_CheckStatus(ViSession vi);

ViStatus rscmwdau_instanceRepCap(ViSession instrSession,
                                 ViInt32   instance,
                                 ViChar    rep_cap[]);

ViStatus _VI_FUNC rscmwdau_QueryMeasStatus(ViSession instrSession,
                                           ViString  command,
                                           ViInt32*  mainState,
                                           ViInt32*  syncState,
                                           ViInt32*  resourcesState);

ViStatus _VI_FUNC rscmwdau_QueryMeasMainStatus(ViSession instrSession,
                                               ViString  command,
                                               ViInt32*  mainState);

ViInt32 rscmwdau_strCode(ViChar   *pBuffer,
                         ViString arrayCodes[]);

ViStatus _VI_FUNC rscmwdau_GetPingResults(ViSession instrSession,
                                          ViString  command,
                                          ViInt32   timeout,
                                          ViInt32   arraySize,
                                          ViInt32   bufferSize,
                                          ViInt32*  reliability,
                                          ViChar    timeStamp[],
                                          ViReal64  latency[],
                                          ViInt32   *returnedValues);

ViStatus _VI_FUNC rscmwdau_GetMeasResults(ViSession instrSession,
                                          ViString  command,
                                          ViInt32   timeout,
                                          ViInt32   arraySize,
                                          ViInt32*  reliability,
                                          ViReal64  result[],
                                          ViInt32   *returnedValues);

